Subscriptions
List a subscription's line items
selectkey<token>
API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).
In: header
Path Parameters
subscriptionId*string
Public identifier (subs_/sub_…)
Query Parameters
limit?integer
offset?integer
sort?string
Sort expression, e.g. "-createdAt"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/subscriptions/string/items"{
"offset": 0,
"limit": 0,
"total": 5000,
"page": {
"offset": {
"first": 0,
"prev": 0,
"next": 0,
"last": 0
},
"current": 0,
"total": 5000
},
"hasMore": true,
"data": [
{
"id": "sit_0a1b2c3d4e5f60718293",
"name": "Acme Ltda",
"description": "string",
"enabled": true,
"pricingSchema": "string",
"unitPrice": 5000,
"quantity": 0,
"currency": "BRL",
"images": [
"string"
],
"metadata": {},
"externalReference": "string",
"updatedAt": "string",
"createdAt": "string",
"merchant": {
"name": "Acme Ltda",
"merchantId": "string",
"isSubAccount": true
},
"_links": {}
}
],
"merchant": {
"name": "Acme Ltda",
"merchantId": "string",
"isSubAccount": true
},
"_links": {}
}{
"error": {
"status": "Unauthorized",
"statusCode": 401,
"category": "authentication",
"code": "unauthorized",
"message": "Authentication is required to access this resource.",
"resource": "server"
}
}{
"error": {
"status": "Forbidden",
"statusCode": 403,
"category": "authorization",
"code": "forbidden",
"message": "You do not have permission to perform this action.",
"resource": "server"
}
}{
"error": {
"status": "Internal Server Error",
"statusCode": 500,
"category": "server",
"code": "notFound",
"message": "An unexpected error occurred.",
"resource": "server"
}
}{
"error": {
"status": "Internal Server Error",
"statusCode": 500,
"category": "server",
"code": "serverError",
"message": "An unexpected error occurred. Please try again later.",
"resource": "server",
"details": "If the problem persists, contact support with the correlationId from the response headers."
}
}